org.eclipse.ease.lang.unittest.runtime

## Interface IRuntimePackage

All Superinterfaces:
  org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EPackage, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  RuntimePackage

    public interface IRuntimePackage
    extends org.eclipse.emf.ecore.EPackage

The Package for the model. It contains accessors for the meta objects to represent

- each class,
- each feature of each class,
- each operation of each class,
- each enum,
- and each data type

See Also:
  `IRuntimeFactory`

### Nested Class Summary

Nested Classes
`static interface` `IRuntimePackage.Literals` Defines literals for the meta objects that represent each class, each feature of each class, each operation of each class, each enum, and each data type

### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage

`org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry`

### Field Summary

Fields
`static IRuntimePackage` `eINSTANCE` The singleton instance of the package.
`static java.lang.String` `eNAME` The package name.
`static java.lang.String` `eNS_PREFIX` The package namespace name.
`static java.lang.String` `eNS_URI` The package namespace URI.
`static int` `METADATA` The meta object id for the '`Metadata`' class.
`static int` `METADATA__KEY` The feature id for the 'Key' attribute.
`static int` `METADATA__STACK_TRACE` The feature id for the 'Stack Trace' attribute.
`static int` `METADATA__VALUE` The feature id for the 'Value' attribute.
`static int` `METADATA_FEATURE_COUNT` The number of structural features of the 'Metadata' class.
`static int` `METADATA_OPERATION_COUNT` The number of operations of the 'Metadata' class.
`static int` `PATH` The meta object id for the 'Path' data type.
`static int` `SCRIPT_ENGINE` The meta object id for the 'Script Engine' data type.
`static int` `SCRIPT_STACK_TRACE` The meta object id for the 'Script Stack Trace' data type.
`static int` `STACK_TRACE_CONTAINER` The meta object id for the '`Stack Trace Container`' class.
`static int` `STACK_TRACE_CONTAINER__STACK_TRACE` The feature id for the 'Stack Trace' attribute.
`static int` `STACK_TRACE_CONTAINER_FEATURE_COUNT` The number of structural features of the 'Stack Trace Container' class.
`static int` `STACK_TRACE_CONTAINER_OPERATION_COUNT` The number of operations of the 'Stack Trace Container' class.
`static int` `TEST` The meta object id for the '`Test`' class.
`static int` `TEST___ADD_ERROR__STRING_ISCRIPTENGINE` The operation id for the 'Add Error' operation.
`static int` `TEST___GET_FULL_PATH` The operation id for the 'Get Full Path' operation.
`static int` `TEST___GET_RESOURCE` The operation id for the 'Get Resource' operation.
`static int` `TEST___GET_RESULTS__TESTSTATUS` The operation id for the 'Get Results' operation.
`static int` `TEST___GET_ROOT` The operation id for the 'Get Root' operation.
`static int` `TEST___GET_STATUS` The operation id for the 'Get Status' operation.
`static int` `TEST___GET_TEST_SUITE` The operation id for the 'Get Test Suite' operation.
`static int` `TEST___GET_WORST_RESULT` The operation id for the 'Get Worst Result' operation.
`static int` `TEST___HAS_ERROR` The operation id for the 'Has Error' operation.
`static int` `TEST___IS_DISABLED` The operation id for the 'Is Disabled' operation.
`static int` `TEST___RESET` The operation id for the 'Reset' operation.
`static int` `TEST___RUN__ITESTEXECUTIONSTRATEGY` The operation id for the 'Run' operation.
`static int` `TEST___SET_DISABLED__STRING` The operation id for the 'Set Disabled' operation.
`static int` `TEST__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` `TEST__DURATION` The feature id for the 'Duration' attribute.
`static int` `TEST__DURATION_LIMIT` The feature id for the 'Duration Limit' attribute.
`static int` `TEST__END_TIMESTAMP` The feature id for the 'End Timestamp' attribute.
`static int` `TEST__ENTITY_STATUS` The feature id for the 'Entity Status' attribute.
`static int` `TEST__ESTIMATED_DURATION` The feature id for the 'Estimated Duration' attribute.
`static int` `TEST__METADATA` The feature id for the 'Metadata' containment reference list.
`static int` `TEST__NAME` The feature id for the 'Name' attribute.
`static int` `TEST__PARENT` The feature id for the 'Parent' container reference.
`static int` `TEST__RESULTS` The feature id for the 'Results' containment reference list.
`static int` `TEST__STACK_TRACE` The feature id for the 'Stack Trace' attribute.
`static int` `TEST__START_TIMESTAMP` The feature id for the 'Start Timestamp' attribute.
`static int` `TEST__TERMINATED` The feature id for the 'Terminated' attribute.
`static int` `TEST_CLASS` The meta object id for the '`Test Class`' class.
`static int` `TEST_CLASS___ADD_ERROR__STRING_ISCRIPTENGINE` The operation id for the 'Add Error' operation.
`static int` `TEST_CLASS___GET_CHILD_CONTAINERS` The operation id for the 'Get Child Containers' operation.
`static int` `TEST_CLASS___GET_FULL_PATH` The operation id for the 'Get Full Path' operation.
`static int` `TEST_CLASS___GET_RESOURCE` The operation id for the 'Get Resource' operation.
`static int` `TEST_CLASS___GET_RESULTS__TESTSTATUS` The operation id for the 'Get Results' operation.
`static int` `TEST_CLASS___GET_ROOT` The operation id for the 'Get Root' operation.
`static int` `TEST_CLASS___GET_STATUS` The operation id for the 'Get Status' operation.
`static int` `TEST_CLASS___GET_TEST__STRING` The operation id for the 'Get Test' operation.
`static int` `TEST_CLASS___GET_TEST_SUITE` The operation id for the 'Get Test Suite' operation.
`static int` `TEST_CLASS___GET_WORST_RESULT` The operation id for the 'Get Worst Result' operation.
`static int` `TEST_CLASS___HAS_ERROR` The operation id for the 'Has Error' operation.
`static int` `TEST_CLASS___IS_DISABLED` The operation id for the 'Is Disabled' operation.
`static int` `TEST_CLASS___RESET` The operation id for the 'Reset' operation.
`static int` `TEST_CLASS___RUN__ITESTEXECUTIONSTRATEGY` The operation id for the 'Run' operation.
`static int` `TEST_CLASS___SET_DISABLED__STRING` The operation id for the 'Set Disabled' operation.
`static int` `TEST_CLASS__CHILDREN` The feature id for the 'Children' containment reference list.
`static int` `TEST_CLASS__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` `TEST_CLASS__DURATION` The feature id for the 'Duration' attribute.
`static int` `TEST_CLASS__END_TIMESTAMP` The feature id for the 'End Timestamp' attribute.
`static int` `TEST_CLASS__ENTITY_STATUS` The feature id for the 'Entity Status' attribute.
`static int` `TEST_CLASS__ESTIMATED_DURATION` The feature id for the 'Estimated Duration' attribute.
`static int` `TEST_CLASS__METADATA` The feature id for the 'Metadata' containment reference list.
`static int` `TEST_CLASS__NAME` The feature id for the 'Name' attribute.
`static int` `TEST_CLASS__PARENT` The feature id for the 'Parent' container reference.
`static int` `TEST_CLASS__RESOURCE` The feature id for the 'Resource' attribute.
`static int` `TEST_CLASS__RESULTS` The feature id for the 'Results' containment reference list.
`static int` `TEST_CLASS__STACK_TRACE` The feature id for the 'Stack Trace' attribute.
`static int` `TEST_CLASS__START_TIMESTAMP` The feature id for the 'Start Timestamp' attribute.
`static int` `TEST_CLASS__TERMINATED` The feature id for the 'Terminated' attribute.
`static int` `TEST_CLASS_FEATURE_COUNT` The number of structural features of the 'Test Class' class.
`static int` `TEST_CLASS_OPERATION_COUNT` The number of operations of the 'Test Class' class.
`static int` `TEST_CONTAINER` The meta object id for the '`Test Container`' class.
`static int` `TEST_CONTAINER___ADD_ERROR__STRING_ISCRIPTENGINE` The operation id for the 'Add Error' operation.
`static int` `TEST_CONTAINER___GET_CHILD_CONTAINERS` The operation id for the 'Get Child Containers' operation.
`static int` `TEST_CONTAINER___GET_FULL_PATH` The operation id for the 'Get Full Path' operation.
`static int` `TEST_CONTAINER___GET_RESOURCE` The operation id for the 'Get Resource' operation.
`static int` `TEST_CONTAINER___GET_RESULTS__TESTSTATUS` The operation id for the 'Get Results' operation.
`static int` `TEST_CONTAINER___GET_ROOT` The operation id for the 'Get Root' operation.
`static int` `TEST_CONTAINER___GET_STATUS` The operation id for the 'Get Status' operation.
`static int` `TEST_CONTAINER___GET_TEST__STRING` The operation id for the 'Get Test' operation.
`static int` `TEST_CONTAINER___GET_TEST_SUITE` The operation id for the 'Get Test Suite' operation.
`static int` `TEST_CONTAINER___GET_WORST_RESULT` The operation id for the 'Get Worst Result' operation.
`static int` `TEST_CONTAINER___HAS_ERROR` The operation id for the 'Has Error' operation.
`static int` `TEST_CONTAINER___IS_DISABLED` The operation id for the 'Is Disabled' operation.
`static int` `TEST_CONTAINER___RESET` The operation id for the 'Reset' operation.
`static int` `TEST_CONTAINER___RUN__ITESTEXECUTIONSTRATEGY` The operation id for the 'Run' operation.
`static int` `TEST_CONTAINER___SET_DISABLED__STRING` The operation id for the 'Set Disabled' operation.
`static int` `TEST_CONTAINER__CHILDREN` The feature id for the 'Children' containment reference list.
`static int` `TEST_CONTAINER__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` `TEST_CONTAINER__DURATION` The feature id for the 'Duration' attribute.
`static int` `TEST_CONTAINER__END_TIMESTAMP` The feature id for the 'End Timestamp' attribute.
`static int` `TEST_CONTAINER__ENTITY_STATUS` The feature id for the 'Entity Status' attribute.
`static int` `TEST_CONTAINER__ESTIMATED_DURATION` The feature id for the 'Estimated Duration' attribute.
`static int` `TEST_CONTAINER__METADATA` The feature id for the 'Metadata' containment reference list.
`static int` `TEST_CONTAINER__NAME` The feature id for the 'Name' attribute.
`static int` `TEST_CONTAINER__PARENT` The feature id for the 'Parent' container reference.
`static int` `TEST_CONTAINER__RESOURCE` The feature id for the 'Resource' attribute.
`static int` `TEST_CONTAINER__RESULTS` The feature id for the 'Results' containment reference list.
`static int` `TEST_CONTAINER__START_TIMESTAMP` The feature id for the 'Start Timestamp' attribute.
`static int` `TEST_CONTAINER__TERMINATED` The feature id for the 'Terminated' attribute.
`static int` `TEST_CONTAINER_FEATURE_COUNT` The number of structural features of the 'Test Container' class.
`static int` `TEST_CONTAINER_OPERATION_COUNT` The number of operations of the 'Test Container' class.
`static int` `TEST_ENTITY` The meta object id for the '`Test Entity`' class.
`static int` `TEST_ENTITY___ADD_ERROR__STRING_ISCRIPTENGINE` The operation id for the 'Add Error' operation.
`static int` `TEST_ENTITY___GET_FULL_PATH` The operation id for the 'Get Full Path' operation.
`static int` `TEST_ENTITY___GET_RESOURCE` The operation id for the 'Get Resource' operation.
`static int` `TEST_ENTITY___GET_RESULTS__TESTSTATUS` The operation id for the 'Get Results' operation.
`static int` `TEST_ENTITY___GET_ROOT` The operation id for the 'Get Root' operation.
`static int` `TEST_ENTITY___GET_STATUS` The operation id for the 'Get Status' operation.
`static int` `TEST_ENTITY___GET_TEST_SUITE` The operation id for the 'Get Test Suite' operation.
`static int` `TEST_ENTITY___GET_WORST_RESULT` The operation id for the 'Get Worst Result' operation.
`static int` `TEST_ENTITY___HAS_ERROR` The operation id for the 'Has Error' operation.
`static int` `TEST_ENTITY___IS_DISABLED` The operation id for the 'Is Disabled' operation.
`static int` `TEST_ENTITY___RESET` The operation id for the 'Reset' operation.
`static int` `TEST_ENTITY___RUN__ITESTEXECUTIONSTRATEGY` The operation id for the 'Run' operation.
`static int` `TEST_ENTITY___SET_DISABLED__STRING` The operation id for the 'Set Disabled' operation.
`static int` `TEST_ENTITY__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` `TEST_ENTITY__DURATION` The feature id for the 'Duration' attribute.
`static int` `TEST_ENTITY__END_TIMESTAMP` The feature id for the 'End Timestamp' attribute.
`static int` `TEST_ENTITY__ENTITY_STATUS` The feature id for the 'Entity Status' attribute.
`static int` `TEST_ENTITY__ESTIMATED_DURATION` The feature id for the 'Estimated Duration' attribute.
`static int` `TEST_ENTITY__METADATA` The feature id for the 'Metadata' containment reference list.
`static int` `TEST_ENTITY__NAME` The feature id for the 'Name' attribute.
`static int` `TEST_ENTITY__PARENT` The feature id for the 'Parent' container reference.
`static int` `TEST_ENTITY__RESULTS` The feature id for the 'Results' containment reference list.
`static int` `TEST_ENTITY__START_TIMESTAMP` The feature id for the 'Start Timestamp' attribute.
`static int` `TEST_ENTITY__TERMINATED` The feature id for the 'Terminated' attribute.
`static int` `TEST_ENTITY_FEATURE_COUNT` The number of structural features of the 'Test Entity' class.
`static int` `TEST_ENTITY_OPERATION_COUNT` The number of operations of the 'Test Entity' class.
`static int` `TEST_EXECUTION_STRATEGY` The meta object id for the 'Test Execution Strategy' data type.
`static int` `TEST_FEATURE_COUNT` The number of structural features of the 'Test' class.
`static int` `TEST_FILE` The meta object id for the '`Test File`' class.
`static int` `TEST_FILE___ADD_ERROR__STRING_ISCRIPTENGINE` The operation id for the 'Add Error' operation.
`static int` `TEST_FILE___GET_CHILD_CONTAINERS` The operation id for the 'Get Child Containers' operation.
`static int` `TEST_FILE___GET_FULL_PATH` The operation id for the 'Get Full Path' operation.
`static int` `TEST_FILE___GET_RESOURCE` The operation id for the 'Get Resource' operation.
`static int` `TEST_FILE___GET_RESULTS__TESTSTATUS` The operation id for the 'Get Results' operation.
`static int` `TEST_FILE___GET_ROOT` The operation id for the 'Get Root' operation.
`static int` `TEST_FILE___GET_STATUS` The operation id for the 'Get Status' operation.
`static int` `TEST_FILE___GET_TEST__STRING` The operation id for the 'Get Test' operation.
`static int` `TEST_FILE___GET_TEST_SUITE` The operation id for the 'Get Test Suite' operation.
`static int` `TEST_FILE___GET_WORST_RESULT` The operation id for the 'Get Worst Result' operation.
`static int` `TEST_FILE___HAS_ERROR` The operation id for the 'Has Error' operation.
`static int` `TEST_FILE___IS_DISABLED` The operation id for the 'Is Disabled' operation.
`static int` `TEST_FILE___RESET` The operation id for the 'Reset' operation.
`static int` `TEST_FILE___RUN__ITESTEXECUTIONSTRATEGY` The operation id for the 'Run' operation.
`static int` `TEST_FILE___SET_DISABLED__STRING` The operation id for the 'Set Disabled' operation.
`static int` `TEST_FILE__CHILDREN` The feature id for the 'Children' containment reference list.
`static int` `TEST_FILE__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` `TEST_FILE__DURATION` The feature id for the 'Duration' attribute.
`static int` `TEST_FILE__END_TIMESTAMP` The feature id for the 'End Timestamp' attribute.
`static int` `TEST_FILE__ENTITY_STATUS` The feature id for the 'Entity Status' attribute.
`static int` `TEST_FILE__ESTIMATED_DURATION` The feature id for the 'Estimated Duration' attribute.
`static int` `TEST_FILE__INSERTION_ORDER` The feature id for the 'Insertion Order' attribute.
`static int` `TEST_FILE__METADATA` The feature id for the 'Metadata' containment reference list.
`static int` `TEST_FILE__NAME` The feature id for the 'Name' attribute.
`static int` `TEST_FILE__PARENT` The feature id for the 'Parent' container reference.
`static int` `TEST_FILE__RESOURCE` The feature id for the 'Resource' attribute.
`static int` `TEST_FILE__RESULTS` The feature id for the 'Results' containment reference list.
`static int` `TEST_FILE__START_TIMESTAMP` The feature id for the 'Start Timestamp' attribute.
`static int` `TEST_FILE__TERMINATED` The feature id for the 'Terminated' attribute.
`static int` `TEST_FILE_FEATURE_COUNT` The number of structural features of the 'Test File' class.
`static int` `TEST_FILE_OPERATION_COUNT` The number of operations of the 'Test File' class.
`static int` `TEST_FOLDER` The meta object id for the '`Test Folder`' class.
`static int` `TEST_FOLDER___ADD_ERROR__STRING_ISCRIPTENGINE` The operation id for the 'Add Error' operation.
`static int` `TEST_FOLDER___GET_CHILD_CONTAINERS` The operation id for the 'Get Child Containers' operation.
`static int` `TEST_FOLDER___GET_FULL_PATH` The operation id for the 'Get Full Path' operation.
`static int` `TEST_FOLDER___GET_RESOURCE` The operation id for the 'Get Resource' operation.
`static int` `TEST_FOLDER___GET_RESULTS__TESTSTATUS` The operation id for the 'Get Results' operation.
`static int` `TEST_FOLDER___GET_ROOT` The operation id for the 'Get Root' operation.
`static int` `TEST_FOLDER___GET_STATUS` The operation id for the 'Get Status' operation.
`static int` `TEST_FOLDER___GET_TEST__STRING` The operation id for the 'Get Test' operation.
`static int` `TEST_FOLDER___GET_TEST_SUITE` The operation id for the 'Get Test Suite' operation.
`static int` `TEST_FOLDER___GET_WORST_RESULT` The operation id for the 'Get Worst Result' operation.
`static int` `TEST_FOLDER___HAS_ERROR` The operation id for the 'Has Error' operation.
`static int` `TEST_FOLDER___IS_DISABLED` The operation id for the 'Is Disabled' operation.
`static int` `TEST_FOLDER___RESET` The operation id for the 'Reset' operation.
`static int` `TEST_FOLDER___RUN__ITESTEXECUTIONSTRATEGY` The operation id for the 'Run' operation.
`static int` `TEST_FOLDER___SET_DISABLED__STRING` The operation id for the 'Set Disabled' operation.
`static int` `TEST_FOLDER__CHILDREN` The feature id for the 'Children' containment reference list.
`static int` `TEST_FOLDER__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` `TEST_FOLDER__DURATION` The feature id for the 'Duration' attribute.
`static int` `TEST_FOLDER__END_TIMESTAMP` The feature id for the 'End Timestamp' attribute.
`static int` `TEST_FOLDER__ENTITY_STATUS` The feature id for the 'Entity Status' attribute.
`static int` `TEST_FOLDER__ESTIMATED_DURATION` The feature id for the 'Estimated Duration' attribute.
`static int` `TEST_FOLDER__METADATA` The feature id for the 'Metadata' containment reference list.
`static int` `TEST_FOLDER__NAME` The feature id for the 'Name' attribute.
`static int` `TEST_FOLDER__PARENT` The feature id for the 'Parent' container reference.
`static int` `TEST_FOLDER__RESOURCE` The feature id for the 'Resource' attribute.
`static int` `TEST_FOLDER__RESULTS` The feature id for the 'Results' containment reference list.
`static int` `TEST_FOLDER__START_TIMESTAMP` The feature id for the 'Start Timestamp' attribute.
`static int` `TEST_FOLDER__TERMINATED` The feature id for the 'Terminated' attribute.
`static int` `TEST_FOLDER_FEATURE_COUNT` The number of structural features of the 'Test Folder' class.
`static int` `TEST_FOLDER_OPERATION_COUNT` The number of operations of the 'Test Folder' class.
`static int` `TEST_OPERATION_COUNT` The number of operations of the 'Test' class.
`static int` `TEST_RESULT` The meta object id for the '`Test Result`' class.
`static int` `TEST_RESULT__MESSAGE` The feature id for the 'Message' attribute.
`static int` `TEST_RESULT__STACK_TRACE` The feature id for the 'Stack Trace' attribute.
`static int` `TEST_RESULT__STATUS` The feature id for the 'Status' attribute.
`static int` `TEST_RESULT_FEATURE_COUNT` The number of structural features of the 'Test Result' class.
`static int` `TEST_RESULT_OPERATION_COUNT` The number of operations of the 'Test Result' class.
`static int` `TEST_STATUS` The meta object id for the '`Test Status`' enum.
`static int` `TEST_SUITE` The meta object id for the '`Test Suite`' class.
`static int` `TEST_SUITE___ADD_ERROR__STRING_ISCRIPTENGINE` The operation id for the 'Add Error' operation.
`static int` `TEST_SUITE___GET_CHILD_CONTAINERS` The operation id for the 'Get Child Containers' operation.
`static int` `TEST_SUITE___GET_FULL_PATH` The operation id for the 'Get Full Path' operation.
`static int` `TEST_SUITE___GET_RESOURCE` The operation id for the 'Get Resource' operation.
`static int` `TEST_SUITE___GET_RESULTS__TESTSTATUS` The operation id for the 'Get Results' operation.
`static int` `TEST_SUITE___GET_ROOT` The operation id for the 'Get Root' operation.
`static int` `TEST_SUITE___GET_STATUS` The operation id for the 'Get Status' operation.
`static int` `TEST_SUITE___GET_TEST__STRING` The operation id for the 'Get Test' operation.
`static int` `TEST_SUITE___GET_TEST_SUITE` The operation id for the 'Get Test Suite' operation.
`static int` `TEST_SUITE___GET_WORST_RESULT` The operation id for the 'Get Worst Result' operation.
`static int` `TEST_SUITE___HAS_ERROR` The operation id for the 'Has Error' operation.
`static int` `TEST_SUITE___IS_DISABLED` The operation id for the 'Is Disabled' operation.
`static int` `TEST_SUITE___RESET` The operation id for the 'Reset' operation.
`static int` `TEST_SUITE___RUN__ITESTEXECUTIONSTRATEGY` The operation id for the 'Run' operation.
`static int` `TEST_SUITE___SET_DISABLED__STRING` The operation id for the 'Set Disabled' operation.
`static int` `TEST_SUITE__ACTIVE_TESTS` The feature id for the 'Active Tests' reference list.
`static int` `TEST_SUITE__CHILDREN` The feature id for the 'Children' containment reference list.
`static int` `TEST_SUITE__DEFINITION` The feature id for the 'Definition' reference.
`static int` `TEST_SUITE__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` `TEST_SUITE__DURATION` The feature id for the 'Duration' attribute.
`static int` `TEST_SUITE__END_TIMESTAMP` The feature id for the 'End Timestamp' attribute.
`static int` `TEST_SUITE__ENTITY_STATUS` The feature id for the 'Entity Status' attribute.
`static int` `TEST_SUITE__ESTIMATED_DURATION` The feature id for the 'Estimated Duration' attribute.
`static int` `TEST_SUITE__MASTER_ENGINE` The feature id for the 'Master Engine' attribute.
`static int` `TEST_SUITE__METADATA` The feature id for the 'Metadata' containment reference list.
`static int` `TEST_SUITE__NAME` The feature id for the 'Name' attribute.
`static int` `TEST_SUITE__PARENT` The feature id for the 'Parent' container reference.
`static int` `TEST_SUITE__RESOURCE` The feature id for the 'Resource' attribute.
`static int` `TEST_SUITE__RESULTS` The feature id for the 'Results' containment reference list.
`static int` `TEST_SUITE__START_TIMESTAMP` The feature id for the 'Start Timestamp' attribute.
`static int` `TEST_SUITE__TERMINATED` The feature id for the 'Terminated' attribute.
`static int` `TEST_SUITE_FEATURE_COUNT` The number of structural features of the 'Test Suite' class.
`static int` `TEST_SUITE_OPERATION_COUNT` The number of operations of the 'Test Suite' class.
`static int` `THROWABLE` The meta object id for the 'Throwable' data type.

### Method Summary

All Methods Instance Methods Abstract Methods
`org.eclipse.emf.ecore.EAttribute` `getMetadata_Key()` Returns the meta object for the attribute '`Key`'.
`org.eclipse.emf.ecore.EAttribute` `getMetadata_Value()` Returns the meta object for the attribute '`Value`'.
`org.eclipse.emf.ecore.EClass` `getMetadata()` Returns the meta object for class '`Metadata`'.
`org.eclipse.emf.ecore.EDataType` `getPath()` Returns the meta object for data type '`Path`'.
`IRuntimeFactory` `getRuntimeFactory()` Returns the factory that creates the instances of the model.
`org.eclipse.emf.ecore.EDataType` `getScriptEngine()` Returns the meta object for data type '`Script Engine`'.
`org.eclipse.emf.ecore.EDataType` `getScriptStackTrace()` Returns the meta object for data type '`Script Stack Trace`'.
`org.eclipse.emf.ecore.EAttribute` `getStackTraceContainer_StackTrace()` Returns the meta object for the attribute '`Stack Trace`'.
`org.eclipse.emf.ecore.EClass` `getStackTraceContainer()` Returns the meta object for class '`Stack Trace Container`'.
`org.eclipse.emf.ecore.EAttribute` `getTest_DurationLimit()` Returns the meta object for the attribute '`Duration Limit`'.
`org.eclipse.emf.ecore.EClass` `getTest()` Returns the meta object for class '`Test`'.
`org.eclipse.emf.ecore.EClass` `getTestClass()` Returns the meta object for class '`Test Class`'.
`org.eclipse.emf.ecore.EOperation` `getTestContainer__GetChildContainers()` Returns the meta object for the '`Get Child Containers`' operation.
`org.eclipse.emf.ecore.EOperation` `getTestContainer__GetTest__String()` Returns the meta object for the '`Get Test`' operation.
`org.eclipse.emf.ecore.EReference` `getTestContainer_Children()` Returns the meta object for the containment reference list '`Children`'.
`org.eclipse.emf.ecore.EAttribute` `getTestContainer_Resource()` Returns the meta object for the attribute '`Resource`'.
`org.eclipse.emf.ecore.EClass` `getTestContainer()` Returns the meta object for class '`Test Container`'.
`org.eclipse.emf.ecore.EOperation` `getTestEntity__AddError__String_IScriptEngine()` Returns the meta object for the '`Add Error`' operation.
`org.eclipse.emf.ecore.EOperation` `getTestEntity__GetFullPath()` Returns the meta object for the '`Get Full Path`' operation.
`org.eclipse.emf.ecore.EOperation` `getTestEntity__GetResource()` Returns the meta object for the '`Get Resource`' operation.
`org.eclipse.emf.ecore.EOperation` `getTestEntity__GetResults__TestStatus()` Returns the meta object for the '`Get Results`' operation.
`org.eclipse.emf.ecore.EOperation` `getTestEntity__GetRoot()` Returns the meta object for the '`Get Root`' operation.
`org.eclipse.emf.ecore.EOperation` `getTestEntity__GetStatus()` Returns the meta object for the '`Get Status`' operation.
`org.eclipse.emf.ecore.EOperation` `getTestEntity__GetTestSuite()` Returns the meta object for the '`Get Test Suite`' operation.
`org.eclipse.emf.ecore.EOperation` `getTestEntity__GetWorstResult()` Returns the meta object for the '`Get Worst Result`' operation.
`org.eclipse.emf.ecore.EOperation` `getTestEntity__HasError()` Returns the meta object for the '`Has Error`' operation.
`org.eclipse.emf.ecore.EOperation` `getTestEntity__IsDisabled()` Returns the meta object for the '`Is Disabled`' operation.
`org.eclipse.emf.ecore.EOperation` `getTestEntity__Reset()` Returns the meta object for the '`Reset`' operation.
`org.eclipse.emf.ecore.EOperation` `getTestEntity__Run__ITestExecutionStrategy()` Returns the meta object for the '`Run`' operation.
`org.eclipse.emf.ecore.EOperation` `getTestEntity__SetDisabled__String()` Returns the meta object for the '`Set Disabled`' operation.
`org.eclipse.emf.ecore.EAttribute` `getTestEntity_Description()` Returns the meta object for the attribute '`Description`'.
`org.eclipse.emf.ecore.EAttribute` `getTestEntity_Duration()` Returns the meta object for the attribute '`Duration`'.
`org.eclipse.emf.ecore.EAttribute` `getTestEntity_EndTimestamp()` Returns the meta object for the attribute '`End Timestamp`'.
`org.eclipse.emf.ecore.EAttribute` `getTestEntity_EntityStatus()` Returns the meta object for the attribute '`Entity Status`'.
`org.eclipse.emf.ecore.EAttribute` `getTestEntity_EstimatedDuration()` Returns the meta object for the attribute '`Estimated Duration`'.
`org.eclipse.emf.ecore.EReference` `getTestEntity_Metadata()` Returns the meta object for the containment reference list '`Metadata`'.
`org.eclipse.emf.ecore.EAttribute` `getTestEntity_Name()` Returns the meta object for the attribute '`Name`'.
`org.eclipse.emf.ecore.EReference` `getTestEntity_Parent()` Returns the meta object for the container reference '`Parent`'.
`org.eclipse.emf.ecore.EReference` `getTestEntity_Results()` Returns the meta object for the containment reference list '`Results`'.
`org.eclipse.emf.ecore.EAttribute` `getTestEntity_StartTimestamp()` Returns the meta object for the attribute '`Start Timestamp`'.
`org.eclipse.emf.ecore.EAttribute` `getTestEntity_Terminated()` Returns the meta object for the attribute '`Terminated`'.
`org.eclipse.emf.ecore.EClass` `getTestEntity()` Returns the meta object for class '`Test Entity`'.
`org.eclipse.emf.ecore.EDataType` `getTestExecutionStrategy()` Returns the meta object for data type '`Test Execution Strategy`'.
`org.eclipse.emf.ecore.EAttribute` `getTestFile_InsertionOrder()` Returns the meta object for the attribute '`Insertion Order`'.
`org.eclipse.emf.ecore.EClass` `getTestFile()` Returns the meta object for class '`Test File`'.
`org.eclipse.emf.ecore.EClass` `getTestFolder()` Returns the meta object for class '`Test Folder`'.
`org.eclipse.emf.ecore.EAttribute` `getTestResult_Message()` Returns the meta object for the attribute '`Message`'.
`org.eclipse.emf.ecore.EAttribute` `getTestResult_Status()` Returns the meta object for the attribute '`Status`'.
`org.eclipse.emf.ecore.EClass` `getTestResult()` Returns the meta object for class '`Test Result`'.
`org.eclipse.emf.ecore.EEnum` `getTestStatus()` Returns the meta object for enum '`Test Status`'.
`org.eclipse.emf.ecore.EReference` `getTestSuite_ActiveTests()` Returns the meta object for the reference list '`Active Tests`'.
`org.eclipse.emf.ecore.EReference` `getTestSuite_Definition()` Returns the meta object for the reference '`Definition`'.
`org.eclipse.emf.ecore.EAttribute` `getTestSuite_MasterEngine()` Returns the meta object for the attribute '`Master Engine`'.
`org.eclipse.emf.ecore.EClass` `getTestSuite()` Returns the meta object for class '`Test Suite`'.
`org.eclipse.emf.ecore.EDataType` `getThrowable()` Returns the meta object for data type '`Throwable`'.

### Methods inherited from interface org.eclipse.emf.ecore.EPackage

`getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

### Methods inherited from interface org.eclipse.emf.ecore.ENamedElement

`getName, setName`

### Methods inherited from interface org.eclipse.emf.ecore.EModelElement

`getEAnnotation, getEAnnotations`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Field Detail

#### eNAME

    static final java.lang.String eNAME

The package name.

See Also:
  Constant Field Values

#### eNS_URI

    static final java.lang.String eNS_URI

The package namespace URI.

See Also:
  Constant Field Values

#### eNS_PREFIX

    static final java.lang.String eNS_PREFIX

The package namespace name.

See Also:
  Constant Field Values

#### eINSTANCE

    static final IRuntimePackage eINSTANCE

The singleton instance of the package.

#### TEST_ENTITY

    static final int TEST_ENTITY

The meta object id for the '`Test Entity`' class.

See Also:
  `TestEntity`, `RuntimePackage.getTestEntity()`, Constant Field Values

#### TEST_ENTITY__DESCRIPTION

    static final int TEST_ENTITY__DESCRIPTION

The feature id for the 'Description' attribute.

See Also:
  Constant Field Values

#### TEST_ENTITY__NAME

    static final int TEST_ENTITY__NAME

The feature id for the 'Name' attribute.

See Also:
  Constant Field Values

#### TEST_ENTITY__ENTITY_STATUS

    static final int TEST_ENTITY__ENTITY_STATUS

The feature id for the 'Entity Status' attribute.

See Also:
  Constant Field Values

#### TEST_ENTITY__END_TIMESTAMP

    static final int TEST_ENTITY__END_TIMESTAMP

The feature id for the 'End Timestamp' attribute.

See Also:
  Constant Field Values

#### TEST_ENTITY__START_TIMESTAMP

    static final int TEST_ENTITY__START_TIMESTAMP

The feature id for the 'Start Timestamp' attribute.

See Also:
  Constant Field Values

#### TEST_ENTITY__PARENT

    static final int TEST_ENTITY__PARENT

The feature id for the 'Parent' container reference.

See Also:
  Constant Field Values

#### TEST_ENTITY__METADATA

    static final int TEST_ENTITY__METADATA

The feature id for the 'Metadata' containment reference list.

See Also:
  Constant Field Values

#### TEST_ENTITY__DURATION

    static final int TEST_ENTITY__DURATION

The feature id for the 'Duration' attribute.

See Also:
  Constant Field Values

#### TEST_ENTITY__RESULTS

    static final int TEST_ENTITY__RESULTS

The feature id for the 'Results' containment reference list.

See Also:
  Constant Field Values

#### TEST_ENTITY__ESTIMATED_DURATION

    static final int TEST_ENTITY__ESTIMATED_DURATION

The feature id for the 'Estimated Duration' attribute.

See Also:
  Constant Field Values

#### TEST_ENTITY__TERMINATED

    static final int TEST_ENTITY__TERMINATED

The feature id for the 'Terminated' attribute.

See Also:
  Constant Field Values

#### TEST_ENTITY_FEATURE_COUNT

    static final int TEST_ENTITY_FEATURE_COUNT

The number of structural features of the 'Test Entity' class.

See Also:
  Constant Field Values

#### TEST_ENTITY___GET_STATUS

    static final int TEST_ENTITY___GET_STATUS

The operation id for the 'Get Status' operation.

See Also:
  Constant Field Values

#### TEST_ENTITY___GET_ROOT

    static final int TEST_ENTITY___GET_ROOT

The operation id for the 'Get Root' operation.

See Also:
  Constant Field Values

#### TEST_ENTITY___HAS_ERROR

    static final int TEST_ENTITY___HAS_ERROR

The operation id for the 'Has Error' operation.

See Also:
  Constant Field Values

#### TEST_ENTITY___GET_TEST_SUITE

    static final int TEST_ENTITY___GET_TEST_SUITE

The operation id for the 'Get Test Suite' operation.

See Also:
  Constant Field Values

#### TEST_ENTITY___GET_RESOURCE

    static final int TEST_ENTITY___GET_RESOURCE

The operation id for the 'Get Resource' operation.

See Also:
  Constant Field Values

#### TEST_ENTITY___RESET

    static final int TEST_ENTITY___RESET

The operation id for the 'Reset' operation.

See Also:
  Constant Field Values

#### TEST_ENTITY___RUN__ITESTEXECUTIONSTRATEGY

    static final int TEST_ENTITY___RUN__ITESTEXECUTIONSTRATEGY

The operation id for the 'Run' operation.

See Also:
  Constant Field Values

#### TEST_ENTITY___GET_WORST_RESULT

    static final int TEST_ENTITY___GET_WORST_RESULT

The operation id for the 'Get Worst Result' operation.

See Also:
  Constant Field Values

#### TEST_ENTITY___ADD_ERROR__STRING_ISCRIPTENGINE

    static final int TEST_ENTITY___ADD_ERROR__STRING_ISCRIPTENGINE

The operation id for the 'Add Error' operation.

See Also:
  Constant Field Values

#### TEST_ENTITY___GET_RESULTS__TESTSTATUS

    static final int TEST_ENTITY___GET_RESULTS__TESTSTATUS

The operation id for the 'Get Results' operation.

See Also:
  Constant Field Values

#### TEST_ENTITY___GET_FULL_PATH

    static final int TEST_ENTITY___GET_FULL_PATH

The operation id for the 'Get Full Path' operation.

See Also:
  Constant Field Values

#### TEST_ENTITY___SET_DISABLED__STRING

    static final int TEST_ENTITY___SET_DISABLED__STRING

The operation id for the 'Set Disabled' operation.

See Also:
  Constant Field Values

#### TEST_ENTITY___IS_DISABLED

    static final int TEST_ENTITY___IS_DISABLED

The operation id for the 'Is Disabled' operation.

See Also:
  Constant Field Values

#### TEST_ENTITY_OPERATION_COUNT

    static final int TEST_ENTITY_OPERATION_COUNT

The number of operations of the 'Test Entity' class.

See Also:
  Constant Field Values

#### TEST_CONTAINER

    static final int TEST_CONTAINER

The meta object id for the '`Test Container`' class.

See Also:
  `TestContainer`, `RuntimePackage.getTestContainer()`, Constant Field Values

#### TEST_CONTAINER__DESCRIPTION

    static final int TEST_CONTAINER__DESCRIPTION

The feature id for the 'Description' attribute.

See Also:
  Constant Field Values

#### TEST_CONTAINER__NAME

    static final int TEST_CONTAINER__NAME

The feature id for the 'Name' attribute.

See Also:
  Constant Field Values

#### TEST_CONTAINER__ENTITY_STATUS

    static final int TEST_CONTAINER__ENTITY_STATUS

The feature id for the 'Entity Status' attribute.

See Also:
  Constant Field Values

#### TEST_CONTAINER__END_TIMESTAMP

    static final int TEST_CONTAINER__END_TIMESTAMP

The feature id for the 'End Timestamp' attribute.

See Also:
  Constant Field Values

#### TEST_CONTAINER__START_TIMESTAMP

    static final int TEST_CONTAINER__START_TIMESTAMP

The feature id for the 'Start Timestamp' attribute.

See Also:
  Constant Field Values

#### TEST_CONTAINER__PARENT

    static final int TEST_CONTAINER__PARENT

The feature id for the 'Parent' container reference.

See Also:
  Constant Field Values

#### TEST_CONTAINER__METADATA

    static final int TEST_CONTAINER__METADATA

The feature id for the 'Metadata' containment reference list.

See Also:
  Constant Field Values

#### TEST_CONTAINER__DURATION

    static final int TEST_CONTAINER__DURATION

The feature id for the 'Duration' attribute.

See Also:
  Constant Field Values

#### TEST_CONTAINER__RESULTS

    static final int TEST_CONTAINER__RESULTS

The feature id for the 'Results' containment reference list.

See Also:
  Constant Field Values

#### TEST_CONTAINER__ESTIMATED_DURATION

    static final int TEST_CONTAINER__ESTIMATED_DURATION

The feature id for the 'Estimated Duration' attribute.

See Also:
  Constant Field Values

#### TEST_CONTAINER__TERMINATED

    static final int TEST_CONTAINER__TERMINATED

The feature id for the 'Terminated' attribute.

See Also:
  Constant Field Values

#### TEST_CONTAINER__CHILDREN

    static final int TEST_CONTAINER__CHILDREN

The feature id for the 'Children' containment reference list.

See Also:
  Constant Field Values

#### TEST_CONTAINER__RESOURCE

    static final int TEST_CONTAINER__RESOURCE

The feature id for the 'Resource' attribute.

See Also:
  Constant Field Values

#### TEST_CONTAINER_FEATURE_COUNT

    static final int TEST_CONTAINER_FEATURE_COUNT

The number of structural features of the 'Test Container' class.

See Also:
  Constant Field Values

#### TEST_CONTAINER___GET_STATUS

    static final int TEST_CONTAINER___GET_STATUS

The operation id for the 'Get Status' operation.

See Also:
  Constant Field Values

#### TEST_CONTAINER___GET_ROOT

    static final int TEST_CONTAINER___GET_ROOT

The operation id for the 'Get Root' operation.

See Also:
  Constant Field Values

#### TEST_CONTAINER___HAS_ERROR

    static final int TEST_CONTAINER___HAS_ERROR

The operation id for the 'Has Error' operation.

See Also:
  Constant Field Values

#### TEST_CONTAINER___GET_TEST_SUITE

    static final int TEST_CONTAINER___GET_TEST_SUITE

The operation id for the 'Get Test Suite' operation.

See Also:
  Constant Field Values

#### TEST_CONTAINER___GET_RESOURCE

    static final int TEST_CONTAINER___GET_RESOURCE

The operation id for the 'Get Resource' operation.

See Also:
  Constant Field Values

#### TEST_CONTAINER___RESET

    static final int TEST_CONTAINER___RESET

The operation id for the 'Reset' operation.

See Also:
  Constant Field Values

#### TEST_CONTAINER___RUN__ITESTEXECUTIONSTRATEGY

    static final int TEST_CONTAINER___RUN__ITESTEXECUTIONSTRATEGY

The operation id for the 'Run' operation.

See Also:
  Constant Field Values

#### TEST_CONTAINER___GET_WORST_RESULT

    static final int TEST_CONTAINER___GET_WORST_RESULT

The operation id for the 'Get Worst Result' operation.

See Also:
  Constant Field Values

#### TEST_CONTAINER___ADD_ERROR__STRING_ISCRIPTENGINE

    static final int TEST_CONTAINER___ADD_ERROR__STRING_ISCRIPTENGINE

The operation id for the 'Add Error' operation.

See Also:
  Constant Field Values

#### TEST_CONTAINER___GET_RESULTS__TESTSTATUS

    static final int TEST_CONTAINER___GET_RESULTS__TESTSTATUS

The operation id for the 'Get Results' operation.

See Also:
  Constant Field Values

#### TEST_CONTAINER___GET_FULL_PATH

    static final int TEST_CONTAINER___GET_FULL_PATH

The operation id for the 'Get Full Path' operation.

See Also:
  Constant Field Values

#### TEST_CONTAINER___SET_DISABLED__STRING

    static final int TEST_CONTAINER___SET_DISABLED__STRING

The operation id for the 'Set Disabled' operation.

See Also:
  Constant Field Values

#### TEST_CONTAINER___IS_DISABLED

    static final int TEST_CONTAINER___IS_DISABLED

The operation id for the 'Is Disabled' operation.

See Also:
  Constant Field Values

#### TEST_CONTAINER___GET_TEST__STRING

    static final int TEST_CONTAINER___GET_TEST__STRING

The operation id for the 'Get Test' operation.

See Also:
  Constant Field Values

#### TEST_CONTAINER___GET_CHILD_CONTAINERS

    static final int TEST_CONTAINER___GET_CHILD_CONTAINERS

The operation id for the 'Get Child Containers' operation.

See Also:
  Constant Field Values

#### TEST_CONTAINER_OPERATION_COUNT

    static final int TEST_CONTAINER_OPERATION_COUNT

The number of operations of the 'Test Container' class.

See Also:
  Constant Field Values

#### TEST

    static final int TEST

The meta object id for the '`Test`' class.

See Also:
  `Test`, `RuntimePackage.getTest()`, Constant Field Values

#### TEST__DESCRIPTION

    static final int TEST__DESCRIPTION

The feature id for the 'Description' attribute.

See Also:
  Constant Field Values

#### TEST__NAME

    static final int TEST__NAME

The feature id for the 'Name' attribute.

See Also:
  Constant Field Values

#### TEST__ENTITY_STATUS

    static final int TEST__ENTITY_STATUS

The feature id for the 'Entity Status' attribute.

See Also:
  Constant Field Values

#### TEST__END_TIMESTAMP

    static final int TEST__END_TIMESTAMP

The feature id for the 'End Timestamp' attribute.

See Also:
  Constant Field Values

#### TEST__START_TIMESTAMP

    static final int TEST__START_TIMESTAMP

The feature id for the 'Start Timestamp' attribute.

See Also:
  Constant Field Values

#### TEST__PARENT

    static final int TEST__PARENT

The feature id for the 'Parent' container reference.

See Also:
  Constant Field Values

#### TEST__METADATA

    static final int TEST__METADATA

The feature id for the 'Metadata' containment reference list.

See Also:
  Constant Field Values

#### TEST__DURATION

    static final int TEST__DURATION

The feature id for the 'Duration' attribute.

See Also:
  Constant Field Values

#### TEST__RESULTS

    static final int TEST__RESULTS

The feature id for the 'Results' containment reference list.

See Also:
  Constant Field Values

#### TEST__ESTIMATED_DURATION

    static final int TEST__ESTIMATED_DURATION

The feature id for the 'Estimated Duration' attribute.

See Also:
  Constant Field Values

#### TEST__TERMINATED

    static final int TEST__TERMINATED

The feature id for the 'Terminated' attribute.

See Also:
  Constant Field Values

#### TEST__STACK_TRACE

    static final int TEST__STACK_TRACE

The feature id for the 'Stack Trace' attribute.

See Also:
  Constant Field Values

#### TEST__DURATION_LIMIT

    static final int TEST__DURATION_LIMIT

The feature id for the 'Duration Limit' attribute.

See Also:
  Constant Field Values

#### TEST_FEATURE_COUNT

    static final int TEST_FEATURE_COUNT

The number of structural features of the 'Test' class.

See Also:
  Constant Field Values

#### TEST___GET_STATUS

    static final int TEST___GET_STATUS

The operation id for the 'Get Status' operation.

See Also:
  Constant Field Values

#### TEST___GET_ROOT

    static final int TEST___GET_ROOT

The operation id for the 'Get Root' operation.

See Also:
  Constant Field Values

#### TEST___HAS_ERROR

    static final int TEST___HAS_ERROR

The operation id for the 'Has Error' operation.

See Also:
  Constant Field Values

#### TEST___GET_TEST_SUITE

    static final int TEST___GET_TEST_SUITE

The operation id for the 'Get Test Suite' operation.

See Also:
  Constant Field Values

#### TEST___GET_RESOURCE

    static final int TEST___GET_RESOURCE

The operation id for the 'Get Resource' operation.

See Also:
  Constant Field Values

#### TEST___RESET

    static final int TEST___RESET

The operation id for the 'Reset' operation.

See Also:
  Constant Field Values

#### TEST___RUN__ITESTEXECUTIONSTRATEGY

    static final int TEST___RUN__ITESTEXECUTIONSTRATEGY

The operation id for the 'Run' operation.

See Also:
  Constant Field Values

#### TEST___GET_WORST_RESULT

    static final int TEST___GET_WORST_RESULT

The operation id for the 'Get Worst Result' operation.

See Also:
  Constant Field Values

#### TEST___ADD_ERROR__STRING_ISCRIPTENGINE

    static final int TEST___ADD_ERROR__STRING_ISCRIPTENGINE

The operation id for the 'Add Error' operation.

See Also:
  Constant Field Values

#### TEST___GET_RESULTS__TESTSTATUS

    static final int TEST___GET_RESULTS__TESTSTATUS

The operation id for the 'Get Results' operation.

See Also:
  Constant Field Values

#### TEST___GET_FULL_PATH

    static final int TEST___GET_FULL_PATH

The operation id for the 'Get Full Path' operation.

See Also:
  Constant Field Values

#### TEST___SET_DISABLED__STRING

    static final int TEST___SET_DISABLED__STRING

The operation id for the 'Set Disabled' operation.

See Also:
  Constant Field Values

#### TEST___IS_DISABLED

    static final int TEST___IS_DISABLED

The operation id for the 'Is Disabled' operation.

See Also:
  Constant Field Values

#### TEST_OPERATION_COUNT

    static final int TEST_OPERATION_COUNT

The number of operations of the 'Test' class.

See Also:
  Constant Field Values

#### TEST_SUITE

    static final int TEST_SUITE

The meta object id for the '`Test Suite`' class.

See Also:
  `TestSuite`, `RuntimePackage.getTestSuite()`, Constant Field Values

#### TEST_SUITE__DESCRIPTION

    static final int TEST_SUITE__DESCRIPTION

The feature id for the 'Description' attribute.

See Also:
  Constant Field Values

#### TEST_SUITE__NAME

    static final int TEST_SUITE__NAME

The feature id for the 'Name' attribute.

See Also:
  Constant Field Values

#### TEST_SUITE__ENTITY_STATUS

    static final int TEST_SUITE__ENTITY_STATUS

The feature id for the 'Entity Status' attribute.

See Also:
  Constant Field Values

#### TEST_SUITE__END_TIMESTAMP

    static final int TEST_SUITE__END_TIMESTAMP

The feature id for the 'End Timestamp' attribute.

See Also:
  Constant Field Values

#### TEST_SUITE__START_TIMESTAMP

    static final int TEST_SUITE__START_TIMESTAMP

The feature id for the 'Start Timestamp' attribute.

See Also:
  Constant Field Values

#### TEST_SUITE__PARENT

    static final int TEST_SUITE__PARENT

The feature id for the 'Parent' container reference.

See Also:
  Constant Field Values

#### TEST_SUITE__METADATA

    static final int TEST_SUITE__METADATA

The feature id for the 'Metadata' containment reference list.

See Also:
  Constant Field Values

#### TEST_SUITE__DURATION

    static final int TEST_SUITE__DURATION

The feature id for the 'Duration' attribute.

See Also:
  Constant Field Values

#### TEST_SUITE__RESULTS

    static final int TEST_SUITE__RESULTS

The feature id for the 'Results' containment reference list.

See Also:
  Constant Field Values

#### TEST_SUITE__ESTIMATED_DURATION

    static final int TEST_SUITE__ESTIMATED_DURATION

The feature id for the 'Estimated Duration' attribute.

See Also:
  Constant Field Values

#### TEST_SUITE__TERMINATED

    static final int TEST_SUITE__TERMINATED

The feature id for the 'Terminated' attribute.

See Also:
  Constant Field Values

#### TEST_SUITE__CHILDREN

    static final int TEST_SUITE__CHILDREN

The feature id for the 'Children' containment reference list.

See Also:
  Constant Field Values

#### TEST_SUITE__RESOURCE

    static final int TEST_SUITE__RESOURCE

The feature id for the 'Resource' attribute.

See Also:
  Constant Field Values

#### TEST_SUITE__ACTIVE_TESTS

    static final int TEST_SUITE__ACTIVE_TESTS

The feature id for the 'Active Tests' reference list.

See Also:
  Constant Field Values

#### TEST_SUITE__DEFINITION

    static final int TEST_SUITE__DEFINITION

The feature id for the 'Definition' reference.

See Also:
  Constant Field Values

#### TEST_SUITE__MASTER_ENGINE

    static final int TEST_SUITE__MASTER_ENGINE

The feature id for the 'Master Engine' attribute.

See Also:
  Constant Field Values

#### TEST_SUITE_FEATURE_COUNT

    static final int TEST_SUITE_FEATURE_COUNT

The number of structural features of the 'Test Suite' class.

See Also:
  Constant Field Values

#### TEST_SUITE___GET_STATUS

    static final int TEST_SUITE___GET_STATUS

The operation id for the 'Get Status' operation.

See Also:
  Constant Field Values

#### TEST_SUITE___GET_ROOT

    static final int TEST_SUITE___GET_ROOT

The operation id for the 'Get Root' operation.

See Also:
  Constant Field Values

#### TEST_SUITE___HAS_ERROR

    static final int TEST_SUITE___HAS_ERROR

The operation id for the 'Has Error' operation.

See Also:
  Constant Field Values

#### TEST_SUITE___GET_TEST_SUITE

    static final int TEST_SUITE___GET_TEST_SUITE

The operation id for the 'Get Test Suite' operation.

See Also:
  Constant Field Values

#### TEST_SUITE___GET_RESOURCE

    static final int TEST_SUITE___GET_RESOURCE

The operation id for the 'Get Resource' operation.

See Also:
  Constant Field Values

#### TEST_SUITE___RESET

    static final int TEST_SUITE___RESET

The operation id for the 'Reset' operation.

See Also:
  Constant Field Values

#### TEST_SUITE___RUN__ITESTEXECUTIONSTRATEGY

    static final int TEST_SUITE___RUN__ITESTEXECUTIONSTRATEGY

The operation id for the 'Run' operation.

See Also:
  Constant Field Values

#### TEST_SUITE___GET_WORST_RESULT

    static final int TEST_SUITE___GET_WORST_RESULT

The operation id for the 'Get Worst Result' operation.

See Also:
  Constant Field Values

#### TEST_SUITE___ADD_ERROR__STRING_ISCRIPTENGINE

    static final int TEST_SUITE___ADD_ERROR__STRING_ISCRIPTENGINE

The operation id for the 'Add Error' operation.

See Also:
  Constant Field Values

#### TEST_SUITE___GET_RESULTS__TESTSTATUS

    static final int TEST_SUITE___GET_RESULTS__TESTSTATUS

The operation id for the 'Get Results' operation.

See Also:
  Constant Field Values

#### TEST_SUITE___GET_FULL_PATH

    static final int TEST_SUITE___GET_FULL_PATH

The operation id for the 'Get Full Path' operation.

See Also:
  Constant Field Values

#### TEST_SUITE___SET_DISABLED__STRING

    static final int TEST_SUITE___SET_DISABLED__STRING

The operation id for the 'Set Disabled' operation.

See Also:
  Constant Field Values

#### TEST_SUITE___IS_DISABLED

    static final int TEST_SUITE___IS_DISABLED

The operation id for the 'Is Disabled' operation.

See Also:
  Constant Field Values

#### TEST_SUITE___GET_TEST__STRING

    static final int TEST_SUITE___GET_TEST__STRING

The operation id for the 'Get Test' operation.

See Also:
  Constant Field Values

#### TEST_SUITE___GET_CHILD_CONTAINERS

    static final int TEST_SUITE___GET_CHILD_CONTAINERS

The operation id for the 'Get Child Containers' operation.

See Also:
  Constant Field Values

#### TEST_SUITE_OPERATION_COUNT

    static final int TEST_SUITE_OPERATION_COUNT

The number of operations of the 'Test Suite' class.

See Also:
  Constant Field Values

#### TEST_FOLDER

    static final int TEST_FOLDER

The meta object id for the '`Test Folder`' class.

See Also:
  `TestFolder`, `RuntimePackage.getTestFolder()`, Constant Field Values

#### TEST_FOLDER__DESCRIPTION

    static final int TEST_FOLDER__DESCRIPTION

The feature id for the 'Description' attribute.

See Also:
  Constant Field Values

#### TEST_FOLDER__NAME

    static final int TEST_FOLDER__NAME

The feature id for the 'Name' attribute.

See Also:
  Constant Field Values

#### TEST_FOLDER__ENTITY_STATUS

    static final int TEST_FOLDER__ENTITY_STATUS

The feature id for the 'Entity Status' attribute.

See Also:
  Constant Field Values

#### TEST_FOLDER__END_TIMESTAMP

    static final int TEST_FOLDER__END_TIMESTAMP

The feature id for the 'End Timestamp' attribute.

See Also:
  Constant Field Values

#### TEST_FOLDER__START_TIMESTAMP

    static final int TEST_FOLDER__START_TIMESTAMP

The feature id for the 'Start Timestamp' attribute.

See Also:
  Constant Field Values

#### TEST_FOLDER__PARENT

    static final int TEST_FOLDER__PARENT

The feature id for the 'Parent' container reference.

See Also:
  Constant Field Values

#### TEST_FOLDER__METADATA

    static final int TEST_FOLDER__METADATA

The feature id for the 'Metadata' containment reference list.

See Also:
  Constant Field Values

#### TEST_FOLDER__DURATION

    static final int TEST_FOLDER__DURATION

The feature id for the 'Duration' attribute.

See Also:
  Constant Field Values

#### TEST_FOLDER__RESULTS

    static final int TEST_FOLDER__RESULTS

The feature id for the 'Results' containment reference list.

See Also:
  Constant Field Values

#### TEST_FOLDER__ESTIMATED_DURATION

    static final int TEST_FOLDER__ESTIMATED_DURATION

The feature id for the 'Estimated Duration' attribute.

See Also:
  Constant Field Values

#### TEST_FOLDER__TERMINATED

    static final int TEST_FOLDER__TERMINATED

The feature id for the 'Terminated' attribute.

See Also:
  Constant Field Values

#### TEST_FOLDER__CHILDREN

    static final int TEST_FOLDER__CHILDREN

The feature id for the 'Children' containment reference list.

See Also:
  Constant Field Values

#### TEST_FOLDER__RESOURCE

    static final int TEST_FOLDER__RESOURCE

The feature id for the 'Resource' attribute.

See Also:
  Constant Field Values

#### TEST_FOLDER_FEATURE_COUNT

    static final int TEST_FOLDER_FEATURE_COUNT

The number of structural features of the 'Test Folder' class.

See Also:
  Constant Field Values

#### TEST_FOLDER___GET_STATUS

    static final int TEST_FOLDER___GET_STATUS

The operation id for the 'Get Status' operation.

See Also:
  Constant Field Values

#### TEST_FOLDER___GET_ROOT

    static final int TEST_FOLDER___GET_ROOT

The operation id for the 'Get Root' operation.

See Also:
  Constant Field Values

#### TEST_FOLDER___HAS_ERROR

    static final int TEST_FOLDER___HAS_ERROR

The operation id for the 'Has Error' operation.

See Also:
  Constant Field Values

#### TEST_FOLDER___GET_TEST_SUITE

    static final int TEST_FOLDER___GET_TEST_SUITE

The operation id for the 'Get Test Suite' operation.

See Also:
  Constant Field Values

#### TEST_FOLDER___GET_RESOURCE

    static final int TEST_FOLDER___GET_RESOURCE

The operation id for the 'Get Resource' operation.

See Also:
  Constant Field Values

#### TEST_FOLDER___RESET

    static final int TEST_FOLDER___RESET

The operation id for the 'Reset' operation.

See Also:
  Constant Field Values

#### TEST_FOLDER___RUN__ITESTEXECUTIONSTRATEGY

    static final int TEST_FOLDER___RUN__ITESTEXECUTIONSTRATEGY

The operation id for the 'Run' operation.

See Also:
  Constant Field Values

#### TEST_FOLDER___GET_WORST_RESULT

    static final int TEST_FOLDER___GET_WORST_RESULT

The operation id for the 'Get Worst Result' operation.

See Also:
  Constant Field Values

#### TEST_FOLDER___ADD_ERROR__STRING_ISCRIPTENGINE

    static final int TEST_FOLDER___ADD_ERROR__STRING_ISCRIPTENGINE

The operation id for the 'Add Error' operation.

See Also:
  Constant Field Values

#### TEST_FOLDER___GET_RESULTS__TESTSTATUS

    static final int TEST_FOLDER___GET_RESULTS__TESTSTATUS

The operation id for the 'Get Results' operation.

See Also:
  Constant Field Values

#### TEST_FOLDER___GET_FULL_PATH

    static final int TEST_FOLDER___GET_FULL_PATH

The operation id for the 'Get Full Path' operation.

See Also:
  Constant Field Values

#### TEST_FOLDER___SET_DISABLED__STRING

    static final int TEST_FOLDER___SET_DISABLED__STRING

The operation id for the 'Set Disabled' operation.

See Also:
  Constant Field Values

#### TEST_FOLDER___IS_DISABLED

    static final int TEST_FOLDER___IS_DISABLED

The operation id for the 'Is Disabled' operation.

See Also:
  Constant Field Values

#### TEST_FOLDER___GET_TEST__STRING

    static final int TEST_FOLDER___GET_TEST__STRING

The operation id for the 'Get Test' operation.

See Also:
  Constant Field Values

#### TEST_FOLDER___GET_CHILD_CONTAINERS

    static final int TEST_FOLDER___GET_CHILD_CONTAINERS

The operation id for the 'Get Child Containers' operation.

See Also:
  Constant Field Values

#### TEST_FOLDER_OPERATION_COUNT

    static final int TEST_FOLDER_OPERATION_COUNT

The number of operations of the 'Test Folder' class.

See Also:
  Constant Field Values

#### TEST_CLASS

    static final int TEST_CLASS

The meta object id for the '`Test Class`' class.

See Also:
  `TestClass`, `RuntimePackage.getTestClass()`, Constant Field Values

#### TEST_CLASS__DESCRIPTION

    static final int TEST_CLASS__DESCRIPTION

The feature id for the 'Description' attribute.

See Also:
  Constant Field Values

#### TEST_CLASS__NAME

    static final int TEST_CLASS__NAME

The feature id for the 'Name' attribute.

See Also:
  Constant Field Values

#### TEST_CLASS__ENTITY_STATUS

    static final int TEST_CLASS__ENTITY_STATUS

The feature id for the 'Entity Status' attribute.

See Also:
  Constant Field Values

#### TEST_CLASS__END_TIMESTAMP

    static final int TEST_CLASS__END_TIMESTAMP

The feature id for the 'End Timestamp' attribute.

See Also:
  Constant Field Values

#### TEST_CLASS__START_TIMESTAMP

    static final int TEST_CLASS__START_TIMESTAMP

The feature id for the 'Start Timestamp' attribute.

See Also:
  Constant Field Values

#### TEST_CLASS__PARENT

    static final int TEST_CLASS__PARENT

The feature id for the 'Parent' container reference.

See Also:
  Constant Field Values

#### TEST_CLASS__METADATA

    static final int TEST_CLASS__METADATA

The feature id for the 'Metadata' containment reference list.

See Also:
  Constant Field Values

#### TEST_CLASS__DURATION

    static final int TEST_CLASS__DURATION

The feature id for the 'Duration' attribute.

See Also:
  Constant Field Values

#### TEST_CLASS__RESULTS

    static final int TEST_CLASS__RESULTS

The feature id for the 'Results' containment reference list.

See Also:
  Constant Field Values

#### TEST_CLASS__ESTIMATED_DURATION

    static final int TEST_CLASS__ESTIMATED_DURATION

The feature id for the 'Estimated Duration' attribute.

See Also:
  Constant Field Values

#### TEST_CLASS__TERMINATED

    static final int TEST_CLASS__TERMINATED

The feature id for the 'Terminated' attribute.

See Also:
  Constant Field Values

#### TEST_CLASS__CHILDREN

    static final int TEST_CLASS__CHILDREN

The feature id for the 'Children' containment reference list.

See Also:
  Constant Field Values

#### TEST_CLASS__RESOURCE

    static final int TEST_CLASS__RESOURCE

The feature id for the 'Resource' attribute.

See Also:
  Constant Field Values

#### TEST_CLASS__STACK_TRACE

    static final int TEST_CLASS__STACK_TRACE

The feature id for the 'Stack Trace' attribute.

See Also:
  Constant Field Values

#### TEST_CLASS_FEATURE_COUNT

    static final int TEST_CLASS_FEATURE_COUNT

The number of structural features of the 'Test Class' class.

See Also:
  Constant Field Values

#### TEST_CLASS___GET_STATUS

    static final int TEST_CLASS___GET_STATUS

The operation id for the 'Get Status' operation.

See Also:
  Constant Field Values

#### TEST_CLASS___GET_ROOT

    static final int TEST_CLASS___GET_ROOT

The operation id for the 'Get Root' operation.

See Also:
  Constant Field Values

#### TEST_CLASS___HAS_ERROR

    static final int TEST_CLASS___HAS_ERROR

The operation id for the 'Has Error' operation.

See Also:
  Constant Field Values

#### TEST_CLASS___GET_TEST_SUITE

    static final int TEST_CLASS___GET_TEST_SUITE

The operation id for the 'Get Test Suite' operation.

See Also:
  Constant Field Values

#### TEST_CLASS___GET_RESOURCE

    static final int TEST_CLASS___GET_RESOURCE

The operation id for the 'Get Resource' operation.

See Also:
  Constant Field Values

#### TEST_CLASS___RESET

    static final int TEST_CLASS___RESET

The operation id for the 'Reset' operation.

See Also:
  Constant Field Values

#### TEST_CLASS___RUN__ITESTEXECUTIONSTRATEGY

    static final int TEST_CLASS___RUN__ITESTEXECUTIONSTRATEGY

The operation id for the 'Run' operation.

See Also:
  Constant Field Values

#### TEST_CLASS___GET_WORST_RESULT

    static final int TEST_CLASS___GET_WORST_RESULT

The operation id for the 'Get Worst Result' operation.

See Also:
  Constant Field Values

#### TEST_CLASS___ADD_ERROR__STRING_ISCRIPTENGINE

    static final int TEST_CLASS___ADD_ERROR__STRING_ISCRIPTENGINE

The operation id for the 'Add Error' operation.

See Also:
  Constant Field Values

#### TEST_CLASS___GET_RESULTS__TESTSTATUS

    static final int TEST_CLASS___GET_RESULTS__TESTSTATUS

The operation id for the 'Get Results' operation.

See Also:
  Constant Field Values

#### TEST_CLASS___GET_FULL_PATH

    static final int TEST_CLASS___GET_FULL_PATH

The operation id for the 'Get Full Path' operation.

See Also:
  Constant Field Values

#### TEST_CLASS___SET_DISABLED__STRING

    static final int TEST_CLASS___SET_DISABLED__STRING

The operation id for the 'Set Disabled' operation.

See Also:
  Constant Field Values

#### TEST_CLASS___IS_DISABLED

    static final int TEST_CLASS___IS_DISABLED

The operation id for the 'Is Disabled' operation.

See Also:
  Constant Field Values

#### TEST_CLASS___GET_TEST__STRING

    static final int TEST_CLASS___GET_TEST__STRING

The operation id for the 'Get Test' operation.

See Also:
  Constant Field Values

#### TEST_CLASS___GET_CHILD_CONTAINERS

    static final int TEST_CLASS___GET_CHILD_CONTAINERS

The operation id for the 'Get Child Containers' operation.

See Also:
  Constant Field Values

#### TEST_CLASS_OPERATION_COUNT

    static final int TEST_CLASS_OPERATION_COUNT

The number of operations of the 'Test Class' class.

See Also:
  Constant Field Values

#### STACK_TRACE_CONTAINER

    static final int STACK_TRACE_CONTAINER

The meta object id for the '`Stack Trace Container`' class.

See Also:
  `StackTraceContainer`, `RuntimePackage.getStackTraceContainer()`, Constant Field Values

#### STACK_TRACE_CONTAINER__STACK_TRACE

    static final int STACK_TRACE_CONTAINER__STACK_TRACE

The feature id for the 'Stack Trace' attribute.

See Also:
  Constant Field Values

#### STACK_TRACE_CONTAINER_FEATURE_COUNT

    static final int STACK_TRACE_CONTAINER_FEATURE_COUNT

The number of structural features of the 'Stack Trace Container' class.

See Also:
  Constant Field Values

#### STACK_TRACE_CONTAINER_OPERATION_COUNT

    static final int STACK_TRACE_CONTAINER_OPERATION_COUNT

The number of operations of the 'Stack Trace Container' class.

See Also:
  Constant Field Values

#### TEST_RESULT

    static final int TEST_RESULT

The meta object id for the '`Test Result`' class.

See Also:
  `TestResult`, `RuntimePackage.getTestResult()`, Constant Field Values

#### TEST_RESULT__STACK_TRACE

    static final int TEST_RESULT__STACK_TRACE

The feature id for the 'Stack Trace' attribute.

See Also:
  Constant Field Values

#### TEST_RESULT__STATUS

    static final int TEST_RESULT__STATUS

The feature id for the 'Status' attribute.

See Also:
  Constant Field Values

#### TEST_RESULT__MESSAGE

    static final int TEST_RESULT__MESSAGE

The feature id for the 'Message' attribute.

See Also:
  Constant Field Values

#### TEST_RESULT_FEATURE_COUNT

    static final int TEST_RESULT_FEATURE_COUNT

The number of structural features of the 'Test Result' class.

See Also:
  Constant Field Values

#### TEST_RESULT_OPERATION_COUNT

    static final int TEST_RESULT_OPERATION_COUNT

The number of operations of the 'Test Result' class.

See Also:
  Constant Field Values

#### TEST_FILE

    static final int TEST_FILE

The meta object id for the '`Test File`' class.

See Also:
  `TestFile`, `RuntimePackage.getTestFile()`, Constant Field Values

#### TEST_FILE__DESCRIPTION

    static final int TEST_FILE__DESCRIPTION

The feature id for the 'Description' attribute.

See Also:
  Constant Field Values

#### TEST_FILE__NAME

    static final int TEST_FILE__NAME

The feature id for the 'Name' attribute.

See Also:
  Constant Field Values

#### TEST_FILE__ENTITY_STATUS

    static final int TEST_FILE__ENTITY_STATUS

The feature id for the 'Entity Status' attribute.

See Also:
  Constant Field Values

#### TEST_FILE__END_TIMESTAMP

    static final int TEST_FILE__END_TIMESTAMP

The feature id for the 'End Timestamp' attribute.

See Also:
  Constant Field Values

#### TEST_FILE__START_TIMESTAMP

    static final int TEST_FILE__START_TIMESTAMP

The feature id for the 'Start Timestamp' attribute.

See Also:
  Constant Field Values

#### TEST_FILE__PARENT

    static final int TEST_FILE__PARENT

The feature id for the 'Parent' container reference.

See Also:
  Constant Field Values

#### TEST_FILE__METADATA

    static final int TEST_FILE__METADATA

The feature id for the 'Metadata' containment reference list.

See Also:
  Constant Field Values

#### TEST_FILE__DURATION

    static final int TEST_FILE__DURATION

The feature id for the 'Duration' attribute.

See Also:
  Constant Field Values

#### TEST_FILE__RESULTS

    static final int TEST_FILE__RESULTS

The feature id for the 'Results' containment reference list.

See Also:
  Constant Field Values

#### TEST_FILE__ESTIMATED_DURATION

    static final int TEST_FILE__ESTIMATED_DURATION

The feature id for the 'Estimated Duration' attribute.

See Also:
  Constant Field Values

#### TEST_FILE__TERMINATED

    static final int TEST_FILE__TERMINATED

The feature id for the 'Terminated' attribute.

See Also:
  Constant Field Values

#### TEST_FILE__CHILDREN

    static final int TEST_FILE__CHILDREN

The feature id for the 'Children' containment reference list.

See Also:
  Constant Field Values

#### TEST_FILE__RESOURCE

    static final int TEST_FILE__RESOURCE

The feature id for the 'Resource' attribute.

See Also:
  Constant Field Values

#### TEST_FILE__INSERTION_ORDER

    static final int TEST_FILE__INSERTION_ORDER

The feature id for the 'Insertion Order' attribute.

See Also:
  Constant Field Values

#### TEST_FILE_FEATURE_COUNT

    static final int TEST_FILE_FEATURE_COUNT

The number of structural features of the 'Test File' class.

See Also:
  Constant Field Values

#### TEST_FILE___GET_STATUS

    static final int TEST_FILE___GET_STATUS

The operation id for the 'Get Status' operation.

See Also:
  Constant Field Values

#### TEST_FILE___GET_ROOT

    static final int TEST_FILE___GET_ROOT

The operation id for the 'Get Root' operation.

See Also:
  Constant Field Values

#### TEST_FILE___HAS_ERROR

    static final int TEST_FILE___HAS_ERROR

The operation id for the 'Has Error' operation.

See Also:
  Constant Field Values

#### TEST_FILE___GET_TEST_SUITE

    static final int TEST_FILE___GET_TEST_SUITE

The operation id for the 'Get Test Suite' operation.

See Also:
  Constant Field Values

#### TEST_FILE___GET_RESOURCE

    static final int TEST_FILE___GET_RESOURCE

The operation id for the 'Get Resource' operation.

See Also:
  Constant Field Values

#### TEST_FILE___RESET

    static final int TEST_FILE___RESET

The operation id for the 'Reset' operation.

See Also:
  Constant Field Values

#### TEST_FILE___RUN__ITESTEXECUTIONSTRATEGY

    static final int TEST_FILE___RUN__ITESTEXECUTIONSTRATEGY

The operation id for the 'Run' operation.

See Also:
  Constant Field Values

#### TEST_FILE___GET_WORST_RESULT

    static final int TEST_FILE___GET_WORST_RESULT

The operation id for the 'Get Worst Result' operation.

See Also:
  Constant Field Values

#### TEST_FILE___ADD_ERROR__STRING_ISCRIPTENGINE

    static final int TEST_FILE___ADD_ERROR__STRING_ISCRIPTENGINE

The operation id for the 'Add Error' operation.

See Also:
  Constant Field Values

#### TEST_FILE___GET_RESULTS__TESTSTATUS

    static final int TEST_FILE___GET_RESULTS__TESTSTATUS

The operation id for the 'Get Results' operation.

See Also:
  Constant Field Values

#### TEST_FILE___GET_FULL_PATH

    static final int TEST_FILE___GET_FULL_PATH

The operation id for the 'Get Full Path' operation.

See Also:
  Constant Field Values

#### TEST_FILE___SET_DISABLED__STRING

    static final int TEST_FILE___SET_DISABLED__STRING

The operation id for the 'Set Disabled' operation.

See Also:
  Constant Field Values

#### TEST_FILE___IS_DISABLED

    static final int TEST_FILE___IS_DISABLED

The operation id for the 'Is Disabled' operation.

See Also:
  Constant Field Values

#### TEST_FILE___GET_TEST__STRING

    static final int TEST_FILE___GET_TEST__STRING

The operation id for the 'Get Test' operation.

See Also:
  Constant Field Values

#### TEST_FILE___GET_CHILD_CONTAINERS

    static final int TEST_FILE___GET_CHILD_CONTAINERS

The operation id for the 'Get Child Containers' operation.

See Also:
  Constant Field Values

#### TEST_FILE_OPERATION_COUNT

    static final int TEST_FILE_OPERATION_COUNT

The number of operations of the 'Test File' class.

See Also:
  Constant Field Values

#### METADATA

    static final int METADATA

The meta object id for the '`Metadata`' class.

See Also:
  `Metadata`, `RuntimePackage.getMetadata()`, Constant Field Values

#### METADATA__STACK_TRACE

    static final int METADATA__STACK_TRACE

The feature id for the 'Stack Trace' attribute.

See Also:
  Constant Field Values

#### METADATA__KEY

    static final int METADATA__KEY

The feature id for the 'Key' attribute.

See Also:
  Constant Field Values

#### METADATA__VALUE

    static final int METADATA__VALUE

The feature id for the 'Value' attribute.

See Also:
  Constant Field Values

#### METADATA_FEATURE_COUNT

    static final int METADATA_FEATURE_COUNT

The number of structural features of the 'Metadata' class.

See Also:
  Constant Field Values

#### METADATA_OPERATION_COUNT

    static final int METADATA_OPERATION_COUNT

The number of operations of the 'Metadata' class.

See Also:
  Constant Field Values

#### TEST_STATUS

    static final int TEST_STATUS

The meta object id for the '`Test Status`' enum.

See Also:
  `TestStatus`, `RuntimePackage.getTestStatus()`, Constant Field Values

#### SCRIPT_ENGINE

    static final int SCRIPT_ENGINE

The meta object id for the 'Script Engine' data type.

See Also:
  `IScriptEngine`, `RuntimePackage.getScriptEngine()`, Constant Field Values

#### THROWABLE

    static final int THROWABLE

The meta object id for the 'Throwable' data type.

See Also:
  `Throwable`, `RuntimePackage.getThrowable()`, Constant Field Values

#### SCRIPT_STACK_TRACE

    static final int SCRIPT_STACK_TRACE

The meta object id for the 'Script Stack Trace' data type.

See Also:
  `ScriptStackTrace`, `RuntimePackage.getScriptStackTrace()`, Constant Field Values

#### TEST_EXECUTION_STRATEGY

    static final int TEST_EXECUTION_STRATEGY

The meta object id for the 'Test Execution Strategy' data type.

See Also:
  `ITestExecutionStrategy`, `RuntimePackage.getTestExecutionStrategy()`, Constant Field Values

#### PATH

    static final int PATH

The meta object id for the 'Path' data type.

See Also:
  `IPath`, `RuntimePackage.getPath()`, Constant Field Values

### Method Detail

#### getTestEntity

    org.eclipse.emf.ecore.EClass getTestEntity()

Returns the meta object for class '`Test Entity`'.

Returns:
  the meta object for class 'Test Entity'.
See Also:
  `ITestEntity`

#### getTestEntity_Description

    org.eclipse.emf.ecore.EAttribute getTestEntity_Description()

Returns the meta object for the attribute '`Description`'.

Returns:
  the meta object for the attribute 'Description'.
See Also:
  `ITestEntity.getDescription()`, `getTestEntity()`

#### getTestEntity_Name

    org.eclipse.emf.ecore.EAttribute getTestEntity_Name()

Returns the meta object for the attribute '`Name`'.

Returns:
  the meta object for the attribute 'Name'.
See Also:
  `ITestEntity.getName()`, `getTestEntity()`

#### getTestEntity_EntityStatus

    org.eclipse.emf.ecore.EAttribute getTestEntity_EntityStatus()

Returns the meta object for the attribute '`Entity Status`'.

Returns:
  the meta object for the attribute 'Entity Status'.
See Also:
  `ITestEntity.getEntityStatus()`, `getTestEntity()`

#### getTestEntity_EndTimestamp

    org.eclipse.emf.ecore.EAttribute getTestEntity_EndTimestamp()

Returns the meta object for the attribute '`End Timestamp`'.

Returns:
  the meta object for the attribute 'End Timestamp'.
See Also:
  `ITestEntity.getEndTimestamp()`, `getTestEntity()`

#### getTestEntity_StartTimestamp

    org.eclipse.emf.ecore.EAttribute getTestEntity_StartTimestamp()

Returns the meta object for the attribute '`Start Timestamp`'.

Returns:
  the meta object for the attribute 'Start Timestamp'.
See Also:
  `ITestEntity.getStartTimestamp()`, `getTestEntity()`

#### getTestEntity_Parent

    org.eclipse.emf.ecore.EReference getTestEntity_Parent()

Returns the meta object for the container reference '`Parent`'.

Returns:
  the meta object for the container reference 'Parent'.
See Also:
  `ITestEntity.getParent()`, `getTestEntity()`

#### getTestEntity_Metadata

    org.eclipse.emf.ecore.EReference getTestEntity_Metadata()

Returns the meta object for the containment reference list '`Metadata`'.

Returns:
  the meta object for the containment reference list 'Metadata'.
See Also:
  `ITestEntity.getMetadata()`, `getTestEntity()`

#### getTestEntity_Duration

    org.eclipse.emf.ecore.EAttribute getTestEntity_Duration()

Returns the meta object for the attribute '`Duration`'.

Returns:
  the meta object for the attribute 'Duration'.
See Also:
  `ITestEntity.getDuration()`, `getTestEntity()`

#### getTestEntity_Results

    org.eclipse.emf.ecore.EReference getTestEntity_Results()

Returns the meta object for the containment reference list '`Results`'.

Returns:
  the meta object for the containment reference list 'Results'.
See Also:
  `ITestEntity.getResults()`, `getTestEntity()`

#### getTestEntity_EstimatedDuration

    org.eclipse.emf.ecore.EAttribute getTestEntity_EstimatedDuration()

Returns the meta object for the attribute '`Estimated Duration`'.

Returns:
  the meta object for the attribute 'Estimated Duration'.
See Also:
  `ITestEntity.getEstimatedDuration()`, `getTestEntity()`

#### getTestEntity_Terminated

    org.eclipse.emf.ecore.EAttribute getTestEntity_Terminated()

Returns the meta object for the attribute '`Terminated`'.

Returns:
  the meta object for the attribute 'Terminated'.
See Also:
  `ITestEntity.isTerminated()`, `getTestEntity()`

#### getTestEntity__GetStatus

    org.eclipse.emf.ecore.EOperation getTestEntity__GetStatus()

Returns the meta object for the '`Get Status`' operation.

Returns:
  the meta object for the 'Get Status' operation.
See Also:
  `ITestEntity.getStatus()`

#### getTestEntity__GetRoot

    org.eclipse.emf.ecore.EOperation getTestEntity__GetRoot()

Returns the meta object for the '`Get Root`' operation.

Returns:
  the meta object for the 'Get Root' operation.
See Also:
  `ITestEntity.getRoot()`

#### getTestEntity__HasError

    org.eclipse.emf.ecore.EOperation getTestEntity__HasError()

Returns the meta object for the '`Has Error`' operation.

Returns:
  the meta object for the 'Has Error' operation.
See Also:
  `ITestEntity.hasError()`

#### getTestEntity__GetTestSuite

    org.eclipse.emf.ecore.EOperation getTestEntity__GetTestSuite()

Returns the meta object for the '`Get Test Suite`' operation.

Returns:
  the meta object for the 'Get Test Suite' operation.
See Also:
  `ITestEntity.getTestSuite()`

#### getTestEntity__GetResource

    org.eclipse.emf.ecore.EOperation getTestEntity__GetResource()

Returns the meta object for the '`Get Resource`' operation.

Returns:
  the meta object for the 'Get Resource' operation.
See Also:
  `ITestEntity.getResource()`

#### getTestEntity__Reset

    org.eclipse.emf.ecore.EOperation getTestEntity__Reset()

Returns the meta object for the '`Reset`' operation.

Returns:
  the meta object for the 'Reset' operation.
See Also:
  `ITestEntity.reset()`

#### getTestEntity__Run__ITestExecutionStrategy

    org.eclipse.emf.ecore.EOperation getTestEntity__Run__ITestExecutionStrategy()

Returns the meta object for the '`Run`' operation.

Returns:
  the meta object for the 'Run' operation.
See Also:
  `ITestEntity.run(org.eclipse.ease.lang.unittest.execution.ITestExecutionStrategy)`

#### getTestEntity__GetWorstResult

    org.eclipse.emf.ecore.EOperation getTestEntity__GetWorstResult()

Returns the meta object for the '`Get Worst Result`' operation.

Returns:
  the meta object for the 'Get Worst Result' operation.
See Also:
  `ITestEntity.getWorstResult()`

#### getTestEntity__AddError__String_IScriptEngine

    org.eclipse.emf.ecore.EOperation getTestEntity__AddError__String_IScriptEngine()

Returns the meta object for the '`Add Error`' operation.

Returns:
  the meta object for the 'Add Error' operation.
See Also:
  `ITestEntity.addError(java.lang.String, org.eclipse.ease.IScriptEngine)`

#### getTestEntity__GetResults__TestStatus

    org.eclipse.emf.ecore.EOperation getTestEntity__GetResults__TestStatus()

Returns the meta object for the '`Get Results`' operation.

Returns:
  the meta object for the 'Get Results' operation.
See Also:
  `ITestEntity.getResults(org.eclipse.ease.lang.unittest.runtime.TestStatus)`

#### getTestEntity__GetFullPath

    org.eclipse.emf.ecore.EOperation getTestEntity__GetFullPath()

Returns the meta object for the '`Get Full Path`' operation.

Returns:
  the meta object for the 'Get Full Path' operation.
See Also:
  `ITestEntity.getFullPath()`

#### getTestEntity__SetDisabled__String

    org.eclipse.emf.ecore.EOperation getTestEntity__SetDisabled__String()

Returns the meta object for the '`Set Disabled`' operation.

Returns:
  the meta object for the 'Set Disabled' operation.
See Also:
  `ITestEntity.setDisabled(java.lang.String)`

#### getTestEntity__IsDisabled

    org.eclipse.emf.ecore.EOperation getTestEntity__IsDisabled()

Returns the meta object for the '`Is Disabled`' operation.

Returns:
  the meta object for the 'Is Disabled' operation.
See Also:
  `ITestEntity.isDisabled()`

#### getTestContainer

    org.eclipse.emf.ecore.EClass getTestContainer()

Returns the meta object for class '`Test Container`'.

Returns:
  the meta object for class 'Test Container'.
See Also:
  `ITestContainer`

#### getTestContainer_Children

    org.eclipse.emf.ecore.EReference getTestContainer_Children()

Returns the meta object for the containment reference list '`Children`'.

Returns:
  the meta object for the containment reference list 'Children'.
See Also:
  `ITestContainer.getChildren()`, `getTestContainer()`

#### getTestContainer_Resource

    org.eclipse.emf.ecore.EAttribute getTestContainer_Resource()

Returns the meta object for the attribute '`Resource`'.

Returns:
  the meta object for the attribute 'Resource'.
See Also:
  `ITestContainer.getResource()`, `getTestContainer()`

#### getTestContainer__GetTest__String

    org.eclipse.emf.ecore.EOperation getTestContainer__GetTest__String()

Returns the meta object for the '`Get Test`' operation.

Returns:
  the meta object for the 'Get Test' operation.
See Also:
  `ITestContainer.getTest(java.lang.String)`

#### getTestContainer__GetChildContainers

    org.eclipse.emf.ecore.EOperation getTestContainer__GetChildContainers()

Returns the meta object for the '`Get Child Containers`' operation.

Returns:
  the meta object for the 'Get Child Containers' operation.
See Also:
  `ITestContainer.getChildContainers()`

#### getTest

    org.eclipse.emf.ecore.EClass getTest()

Returns the meta object for class '`Test`'.

Returns:
  the meta object for class 'Test'.
See Also:
  `ITest`

#### getTest_DurationLimit

    org.eclipse.emf.ecore.EAttribute getTest_DurationLimit()

Returns the meta object for the attribute '`Duration Limit`'.

Returns:
  the meta object for the attribute 'Duration Limit'.
See Also:
  `ITest.getDurationLimit()`, `getTest()`

#### getTestSuite

    org.eclipse.emf.ecore.EClass getTestSuite()

Returns the meta object for class '`Test Suite`'.

Returns:
  the meta object for class 'Test Suite'.
See Also:
  `ITestSuite`

#### getTestSuite_ActiveTests

    org.eclipse.emf.ecore.EReference getTestSuite_ActiveTests()

Returns the meta object for the reference list '`Active Tests`'.

Returns:
  the meta object for the reference list 'Active Tests'.
See Also:
  `ITestSuite.getActiveTests()`, `getTestSuite()`

#### getTestSuite_Definition

    org.eclipse.emf.ecore.EReference getTestSuite_Definition()

Returns the meta object for the reference '`Definition`'.

Returns:
  the meta object for the reference 'Definition'.
See Also:
  `ITestSuite.getDefinition()`, `getTestSuite()`

#### getTestSuite_MasterEngine

    org.eclipse.emf.ecore.EAttribute getTestSuite_MasterEngine()

Returns the meta object for the attribute '`Master Engine`'.

Returns:
  the meta object for the attribute 'Master Engine'.
See Also:
  `ITestSuite.getMasterEngine()`, `getTestSuite()`

#### getTestFolder

    org.eclipse.emf.ecore.EClass getTestFolder()

Returns the meta object for class '`Test Folder`'.

Returns:
  the meta object for class 'Test Folder'.
See Also:
  `ITestFolder`

#### getTestClass

    org.eclipse.emf.ecore.EClass getTestClass()

Returns the meta object for class '`Test Class`'.

Returns:
  the meta object for class 'Test Class'.
See Also:
  `ITestClass`

#### getTestResult

    org.eclipse.emf.ecore.EClass getTestResult()

Returns the meta object for class '`Test Result`'.

Returns:
  the meta object for class 'Test Result'.
See Also:
  `ITestResult`

#### getTestResult_Status

    org.eclipse.emf.ecore.EAttribute getTestResult_Status()

Returns the meta object for the attribute '`Status`'.

Returns:
  the meta object for the attribute 'Status'.
See Also:
  `ITestResult.getStatus()`, `getTestResult()`

#### getTestResult_Message

    org.eclipse.emf.ecore.EAttribute getTestResult_Message()

Returns the meta object for the attribute '`Message`'.

Returns:
  the meta object for the attribute 'Message'.
See Also:
  `ITestResult.getMessage()`, `getTestResult()`

#### getTestFile

    org.eclipse.emf.ecore.EClass getTestFile()

Returns the meta object for class '`Test File`'.

Returns:
  the meta object for class 'Test File'.
See Also:
  `ITestFile`

#### getTestFile_InsertionOrder

    org.eclipse.emf.ecore.EAttribute getTestFile_InsertionOrder()

Returns the meta object for the attribute '`Insertion Order`'.

Returns:
  the meta object for the attribute 'Insertion Order'.
See Also:
  `ITestFile.getInsertionOrder()`, `getTestFile()`

#### getStackTraceContainer

    org.eclipse.emf.ecore.EClass getStackTraceContainer()

Returns the meta object for class '`Stack Trace Container`'.

Returns:
  the meta object for class 'Stack Trace Container'.
See Also:
  `IStackTraceContainer`

#### getStackTraceContainer_StackTrace

    org.eclipse.emf.ecore.EAttribute getStackTraceContainer_StackTrace()

Returns the meta object for the attribute '`Stack Trace`'.

Returns:
  the meta object for the attribute 'Stack Trace'.
See Also:
  `IStackTraceContainer.getStackTrace()`, `getStackTraceContainer()`

#### getMetadata

    org.eclipse.emf.ecore.EClass getMetadata()

Returns the meta object for class '`Metadata`'.

Returns:
  the meta object for class 'Metadata'.
See Also:
  `IMetadata`

#### getMetadata_Key

    org.eclipse.emf.ecore.EAttribute getMetadata_Key()

Returns the meta object for the attribute '`Key`'.

Returns:
  the meta object for the attribute 'Key'.
See Also:
  `IMetadata.getKey()`, `getMetadata()`

#### getMetadata_Value

    org.eclipse.emf.ecore.EAttribute getMetadata_Value()

Returns the meta object for the attribute '`Value`'.

Returns:
  the meta object for the attribute 'Value'.
See Also:
  `IMetadata.getValue()`, `getMetadata()`

#### getTestStatus

    org.eclipse.emf.ecore.EEnum getTestStatus()

Returns the meta object for enum '`Test Status`'.

Returns:
  the meta object for enum 'Test Status'.
See Also:
  `TestStatus`

#### getScriptEngine

    org.eclipse.emf.ecore.EDataType getScriptEngine()

Returns the meta object for data type '`Script Engine`'.

Returns:
  the meta object for data type 'Script Engine'.
See Also:
  `IScriptEngine`

#### getThrowable

    org.eclipse.emf.ecore.EDataType getThrowable()

Returns the meta object for data type '`Throwable`'.

Returns:
  the meta object for data type 'Throwable'.
See Also:
  `Throwable`

#### getScriptStackTrace

    org.eclipse.emf.ecore.EDataType getScriptStackTrace()

Returns the meta object for data type '`Script Stack Trace`'.

Returns:
  the meta object for data type 'Script Stack Trace'.
See Also:
  `ScriptStackTrace`

#### getTestExecutionStrategy

    org.eclipse.emf.ecore.EDataType getTestExecutionStrategy()

Returns the meta object for data type '`Test Execution Strategy`'.

Returns:
  the meta object for data type 'Test Execution Strategy'.
See Also:
  `ITestExecutionStrategy`

#### getPath

    org.eclipse.emf.ecore.EDataType getPath()

Returns the meta object for data type '`Path`'.

Returns:
  the meta object for data type 'Path'.
See Also:
  `IPath`

#### getRuntimeFactory

    IRuntimeFactory getRuntimeFactory()

Returns the factory that creates the instances of the model.

Returns:
  the factory that creates the instances of the model.